PETSc version 3.17.4
Fix/Edit manual page

# PetscFunctionBeginUser

First executable line of user provided PETSc routine

### Synopsis

    #include <petscsys.h>
    void PetscFunctionBeginUser;

Not Collective

### Usage

         int something;

         PetscFunctionBeginUser;

### Notes

Final line of PETSc functions should be PetscFunctionReturn(0) except for main().

Not available in Fortran

This is identical to PetscFunctionBegin except it labels the routine as a user routine instead of as a PETSc library routine.

### See Also

PetscFunctionReturn(), PetscFunctionBegin, PetscFunctionBeginHot

### Level

intermediate

### Location

src/sys/error/../../../include/petscerror.h

### Examples

src/sys/classes/random/tutorials/ex2.c.html
src/vec/is/sf/tutorials/ex1.c.html
src/mat/tutorials/ex18.c.html
src/mat/tutorials/ex5cu.cu.html
src/dm/impls/plex/tutorials/ex5.c.html
src/dm/impls/plex/tutorials/ex6.c.html
src/dm/impls/plex/tutorials/ex7.c.html
src/dm/impls/plex/tutorials/ex9.c.html
src/dm/impls/plex/tutorials/ex10.c.html
src/dm/impls/plex/tutorials/ex11.c.html
src/dm/impls/stag/tutorials/ex2.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages